Repository 32bit  Forum
Repository 64bit  Wiki

[Risolto] problema installazione pacchetto amule

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[Risolto] problema installazione pacchetto amule

Messaggioda tucidide » gio mag 17, 2012 20:28

Quando lancio amule (pacchetto scaricato su questo sito insieme alle sue dipendenze) su slackware 13.37 e kde, l'iconcina saltella per parecchio tempo, ma amule non si avvia. Lanciando da terminale mi appare il seguente errore:

amule: error while loading shared libraries: libcryptopp.so: cannot open shared object file: No such file or directory

Come posso risolvere?

Grazie
tucidide (from debian to slackware)
Ultima modifica di tucidide il sab mag 26, 2012 8:39, modificato 1 volta in totale.
tucidide
Linux 1.0
Linux 1.0
 
Messaggi: 4
Iscritto il: gio mag 17, 2012 20:23
Nome Cognome: stefano visconi
Slackware: 13.37
Desktop: kde

Re: problema installazione pacchetto amule

Messaggioda teox99 » gio mag 17, 2012 21:31

installando anche le sue dipendenze!
Avatar utente
teox99
Linux 2.6
Linux 2.6
 
Messaggi: 734
Iscritto il: ven lug 25, 2008 13:54
Località: Roma[Eur]
Slackware: 13.37
Desktop: KDE - Xfce

Re: problema installazione pacchetto amule

Messaggioda ciafo » gio mag 17, 2012 23:14

Benvenuto nel mondo Slackware, dove la purezza è di regno. Qui si installa solo quello che è necessario, senza aggiungere null'altro che possa rallentare od occupare spazio. Quindi, ecco perche i pacchetti sono "monolitici"(lasciami passare il termire) cioè senza le sue dipendenze interne. Se vuoi installare aMule, ci sarà un pacchetto aMule che conterrà solo aMule.
Come suggeriva teox99, devi prima installare ogni libreria mancante o creare link simbolici per poter poi usufruire del programma.
a
ciafo
Linux 1.0
Linux 1.0
 
Messaggi: 10
Iscritto il: dom mar 18, 2012 13:56
Località: Milano
Nome Cognome: Fabio Fragnenti Novi
Slackware: 14.0
Kernel: 3.2.29
Desktop: KDE 4.8.5

Re: problema installazione pacchetto amule

Messaggioda targzeta » gio mag 17, 2012 23:48

Devi installare il pacchetto cryptopp che trovi sempre qui su Slacky. Comunque se non è segnalato come dipendenza di amule è un errore nostro.

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6186
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: problema installazione pacchetto amule

Messaggioda Rama » lun mag 21, 2012 12:09

tucidide ha scritto:amule: error while loading shared libraries: libcryptopp.so: cannot open shared object file: No such file or directory

hai copincollato?
io non ho nessuna libcryptopp.so ma:

bash-4.1$ locate libcrypto
/lib64/libcrypto.so.0.9.8
/lib64/libcrypto.so.0
/usr/lib64/libcryptopp.a
/usr/lib64/libcrypto.so
/usr/lib64/libcrypto.a
/usr/lib64/libcrypto.so.0.9.8
/usr/lib64/libcrypto.so.0

tieni inoltre presente che a volte amule vuole una libreria meno recente, nel caso di solito basta fare un link simbolico, ad es. il libcrypto.so qui sopra punta a libcrypto.so.0.9.8;

r
Avatar utente
Rama
Linux 2.4
Linux 2.4
 
Messaggi: 253
Iscritto il: sab mar 29, 2008 12:18
Località: Novara, provincia
Slackware: 14.1 64bit
Kernel: 3.16.3 preemptive
Desktop: KDE 4.10.5
Distribuzione: Debian testing

Re: problema installazione pacchetto amule

Messaggioda roberto67 » lun mag 21, 2012 14:32

c'è già un thread su questo argomento nel quale trovi la soluzione, che è installare il pacchetto cryptopp:
viewtopic.php?f=51&t=35564

se stai usando la current però dovrebbero esserci problemi di gcc nello stesso amule.
roberto67
Packager
Packager
 
Messaggi: 291
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: problema installazione pacchetto amule

Messaggioda tucidide » sab mag 26, 2012 8:39

Mancava il pacchetto cryptopp. Ora funziona tutto, per cui disintallo kde e provo con xfce perchè altrimenti il muletto frigge.
Grazie.
tucidide
Linux 1.0
Linux 1.0
 
Messaggi: 4
Iscritto il: gio mag 17, 2012 20:23
Nome Cognome: stefano visconi
Slackware: 13.37
Desktop: kde


Torna a Slackware

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite